Subject: RE: Coded text

From: Norm Lampton <[email-masked]>
Date: Mon, 20 May 1996 09:09:16 -0500

There are three primary ways of attaching a file to a message.

 These are usually used to attach binary files (executable or images) or
very long text files that have been compressed.  For instance I may send an
email that simply says read the attached article. The article might be 12
pages long, it has been compressed using PKZIP or LHA methods.  With the
compression and the attachment it goes with the mail.

The three ways are:

UUENCODE  This is the oldest , it converts a binary "word" to a crc result
which is then encoded to a specific symbolization.   A  " word" is the
systems bit base times 4. For instance a 8 bit system would have a 32 bit
word etc.

MIME  This is newer and by far the most popular.  It uses a similar scheme
as above but because of the algorithm employed is more compressed.

BIN HEX   A system based on an algorithms which converts a Binary File into
its hexadecimal equivalent and then computes a crc sum in hexadecimal which
is then sent.

In each case the recipients must have a decoder.  Eudora Pro contains both
an encoder and a decoder.

UUENCODE  appears in the message as jibberish.
Mime and BinHex load into a directory selected in the settings of the
recipients. (UUENCODE can be forced to load in the same way.)

When attaching a file the accepted method is to identify the attachment by its:
Name;
Attachment Protocol.
Compression Method.

For instance if I wanted to attach an article on this subject to this email
(Which I haven't!) I  would say:  Attached is 'MailCode.exe' a MimeEncoded
LHA self extracting file which has the article from Blacksmith' s R Us, June
1996.  File names are usually placed within ' ' to help distinguish them as
files.

Norman W. Lampton DBA  {APG-CC-UMC}
Missouri Research and Education Network
Columbia, Missouri, USA
email [email-masked] web www.more.net/~norm
		Psalm 19:14